IMPORTPEM(1)

NAME
importpem - Runs TPM2 importpem

DESCRIPTION
importpem

Runs TPM2_Import for a PEM key

-hp parent handle

[-pwdp
    password for parent (default empty)]

-ipem
    PEM format key pair

    [Asymmetric Key Algorithm]

[-rsa
    (default)]

[-ecc
    ]

[-si
    signing (default)]

[-scheme
    signing scheme (rsassa rsapss) (RSA default RSASSA) (ECC ECDSA)]

[-st
    storage (NULL scheme)]

[-den
    decryption, (unrestricted, RSA and ECC NULL scheme)

[-pwdk
    password for key (default empty)]

-opu
    public area file name

-opr
    private area file name

[-nalg
    name hash algorithm (sha1, sha256, sha384, sha512) (default sha256)]

[-halg
    scheme hash algorithm (sha1, sha256, sha384, sha512) (default sha256)]

[-pol
    policy file (default empty)]

-se[0-2] session handle / attributes (default PWAP)

01  continue

20  command decrypt

40  response encrypt